Commit a6ed88c3 authored by Robert Goldman's avatar Robert Goldman

Revise testing for ECL.

ECL version 16+ seems to have working encodings support.  So we check
the ECL version early and either abort the test (successfully) if ECL is
too old, or push on if ECL is version 16+
parent 38d61f3c
......@@ -59,7 +59,11 @@
:components ((:file "lambda" :encoding :default))))
(with-encoding-test (:utf-8)
(def-test-system :test-encoding-implicit-default
:components ((:file "lambda")))))
:components ((:file "lambda")))))
#+ecl
(unless (>= ext:+ecl-version-number+ 160000)
(leave-test "This version of ECL is known to have broken encoding support" 0))
;; Try to load asdf-encodings
(setf *central-registry*
......@@ -83,9 +87,6 @@
(def-test-system :test-encoding-implicit-autodetect
:components ((:file "lambda")))))
#+ecl
(leave-test "ECL recently broke its encoding support" 0)
#+sbcl
(with-encoding-test (:koi8-r)
(def-test-system :test-encoding-explicit-koi8-r
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment